#
# spec file for package xfce4-panel-plugin-places
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define panel_version 4.8.0
%define plugin_name xfce4-places-plugin
Name:           xfce4-panel-plugin-places
Version:        1.7.0
Release:        lp150.1.3
Summary:        Places Menu Plugin for the Xfce Panel
License:        GPL-2.0+
Group:          System/GUI/XFCE
Url:            http://goodies.xfce.org/projects/panel-plugins/xfce4-places-plugin
Source0:        http://archive.xfce.org/src/panel-plugins/%{plugin_name}/1.7/%{plugin_name}-%{version}.tar.bz2
BuildRequires:  fdupes
BuildRequires:  intltool
BuildRequires:  pkgconfig(exo-1)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gmodule-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(libxfce4panel-1.0)
BuildRequires:  pkgconfig(libxfce4ui-1)
BuildRequires:  pkgconfig(libxfce4util-1.0)
Requires:       xfce4-panel >= %{panel_version}
Recommends:     %{name}-lang = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The Places plugin provides a menu with quick access to folders,
documents, and removable media.

%lang_package

%prep
%setup -q -n %{plugin_name}-%{version}

%build
#remove this export once the fix is upstream code
export CFLAGS="$CFLAGS -fgnu89-inline"
%configure --disable-static
make %{?_smp_mflags} V=1

%install
%make_install

rm -f %{buildroot}%{_libdir}/xfce4/panel/plugins/libplaces.la

rm -rf %{buildroot}%{_datadir}/locale/{ast,kk,tl_PH,ur_PK}

%find_lang %{plugin_name} %{name}.lang %{?no_lang_C}

%fdupes %{buildroot}%{_datadir}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/xfce4-popup-places
%{_libdir}/xfce4/panel/plugins/libplaces.so
%{_datadir}/xfce4/panel/plugins/places.desktop

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Mon Sep 28 2015 cyberorg@opensuse.org
- add -fgnu89-inline fix undefined symbol: places_bookmark_destroy
  see https://bugzilla.redhat.com/show_bug.cgi?id=1225713
* Thu Mar  5 2015 gber@opensuse.org
- update to version 1.7.0
  - use Gtk+-3.0 bookmark location
  - recent documents are sorted by most recently used
  - button occupies the whole panel height/width when the label is
    shown
  - updated translations
* Sun Nov 24 2013 gber@opensuse.org
- update to version 1.6.0
  - added support for network devices in ~/.gtk-bookmarks
  - updated translations
* Tue Aug 28 2012 gber@opensuse.org
- update to version 1.4.0
  - updated translations
  - compile plugin as a library/module
  - save settings when the configuration dialog box is closed
  - improved plugin button layout
  - use a preferred file manager as set in Xfce settings
  - fixed "Mount and Open" function
* Fri Apr 20 2012 gber@opensuse.org
- added documentation files
* Tue Apr 17 2012 gber@opensuse.org
- corrected source URL
* Sat Apr 14 2012 gber@opensuse.org
- update to version 1.3.0
  - several long-standing issues were patched, which should reduce
    burden on distributors
  - compatibility with xfce4-panel v4.9
- dropped obsolete
  xfce4-panel-plugin-places-1.2.0-fix-build-with-4.7.patch,
  xfce4-panel-plugin-places-fix-linking.patch,
  xfce4-places-plugin-1.2.0-port-to-gio.patch
- specfile cleanup
- correct dependencies
- split off -lang subpackage
* Sat Aug 27 2011 gber@opensuse.org
- added xfce4-panel-plugin-places-fix-linking.patch in order to fix
  an underlinking issue
* Mon May 30 2011 gber@opensuse.org
- added xfce4-places-plugin-1.2.0-port-to-gio.patch which includes
  a port from thunar-vfs to GIO (from bxo#6663)
- more accurate dependencies
* Wed Mar  9 2011 gber@opensuse.org
- new package (split off from xfce4-panel-plugins)
